libzypp 17.37.10

zyppng::ProvideResourceData Struct Reference

`#include <zypp-media/ng/private/provideres_p.h>`

## Public Attributes
zyppng::Provide::MediaHandle | _mediaHandle
zypp::ManagedFile | _myFile
zypp::Url | _resourceUrl
HeaderValueMap | _responseHeaders

## Detailed Description

Definition at line 15 of file provideres_p.h.

## Member Data Documentation

## ◆ _mediaHandle

zyppng::Provide::MediaHandle zyppng::ProvideResourceData::_mediaHandle

Definition at line 16 of file provideres_p.h.

## ◆ _myFile

zypp::ManagedFile zyppng::ProvideResourceData::_myFile

Definition at line 17 of file provideres_p.h.

## ◆ _resourceUrl

zypp::Url zyppng::ProvideResourceData::_resourceUrl

Definition at line 18 of file provideres_p.h.

## ◆ _responseHeaders

HeaderValueMap zyppng::ProvideResourceData::_responseHeaders

Definition at line 19 of file provideres_p.h.

The documentation for this struct was generated from the following file:

- zypp-media/ng/private/provideres_p.h